%define ttf2pt1ver	3.4.3

Name:		font-tools
Summary:	Some utilities for use by drakfont
Version:	0.1
Release:	10mdk
License:	GPL & BSD
Group:		System/Configuration/Other
Source:		%{name}-%{version}.tar.bz2
Source1:	http://download.sourceforge.net/ttf2pt1/ttf2pt1-%{ttf2pt1ver}.tar.bz2
Url: 		http://www.linux-mandrake.com
Buildroot:	%_tmppath/%name-%version-%release-root
Requires:	t1utils, freetype-tools
BuildRequires:	freetype-devel

%description
font-tools is used by drakfont and include:
- ttf2type1: convert .ttf to .pfb and .afm.
- tt2afm:    convert .ttf to .afm .
- pfm2afm:   convert .pfm to afm.

%prep
%setup -q -a 1

%build
# ttf2pt1 3.3.5 from main sources had IA-32 objects
make clean
perl -pi -e 's/ttf2pt1-3.3.5/ttf2pt1-%{ttf2pt1ver}/g' Makefile
make CC="gcc $RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT{%_sbindir,%_mandir/man1}

%makeinstall PREFIX=$RPM_BUILD_ROOT/usr
install -m 644 ttf2pt1-%{ttf2pt1ver}/ttf2pt1.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 ./ttf2pt1-%{ttf2pt1ver}/ttf2pt1 $RPM_BUILD_ROOT%_sbindir
install -m 644 type1inst-0.6.1/type1inst.man $RPM_BUILD_ROOT%{_mandir}/man1/type1inst.1

rm -f $RPM_BUILD_ROOT%{_sbindir}/t1asm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING README.ttf2pt1 COPYRIGHT.ttf2pt1
%{_sbindir}/*
%{_mandir}/man1/*

%changelog
* Thu Mar 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-10mdk
- fix wrong ttf2pt1 permissions (fix #3284)

* Tue Mar 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-9mdk
- add ttf2pt1 (which is needed by drakfont)

* Tue Feb 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1-8mdk
- Remove prebuilt IA-32 binaries!

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 0.1-7mdk
- Updated ttf2pt1 to release 3.4.3

* Tue Jul 30 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.1-6mdk
- Removed conflict with freetype-tools.

* Mon Jul 29 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.1-5mdk
- Updated ttf2pt1 to release 3.4.1
- Added ttmkfdir.
- Added man pages.

* Mon Jul 22 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.1-4mdk
- Fixed summary.
- Removed t1asm (provided in t1utils).

* Sat Jan 26 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 0.1-3mdk
- run "make clean" before build, tarball ships with a .o
- Build with MDK cflags.

* Tue Oct 30 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.1-2mdk
- url.

* Wed Oct 17 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.1-1mdk
- initial spec.
